<template>
    <div class="bus-button">        
            <c-button type="primary" v-on:click="save">提交</c-button>
            <c-button type="primary" v-on:click="pedding">暂存</c-button>
            <c-button type="primary" v-on:click="check">校核</c-button>
            <c-button  v-on:click="exit">退出</c-button>
    </div>
</template>
<script>
import commonApi from "~/mixin/commonApi"
export default {
    props:["$pntvm"],
    data(){
        return{

            
        }
    },
    methods:{
        async save(){
            console.log(123)
            let vm = this.getVM();
            let result = await vm.save()
            console.log(result)
        },
        async pedding(){
            let result = await this.getVM().pedding()
            console.log(result)
        },
        async check(){
            let result = await this.getVM().checkAll()
            if(result.respCode != SUCCESS)
            {
                this.$notify.error({title: '错误',message: result.respMsg});
            }
        },
        exit(){
            this.$history.push("/home")
        },
        getVM(){
            return this.$pntvm
        }
    }
}
</script>
<style>
.bus-button {
  text-align: center;
}
</style>